Page MenuHomePhabricator

Adjust the field type of cu_changes.cuc_timestamp to fixed binary and remove default on wmf wikis
Closed, ResolvedPublic

Description

Apply T300575 to wmf wikis

  1. ALTERs to run: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CheckUser/+/787931/4/schema/mysql/patch-cu_changes-cuc_timestamp.sql
  2. Where to run those changes: all wikis
  3. When to run those changes: any time
  4. If the schema change is backwards compatible: Yes
  5. If the schema change has been tested already on some of the test/beta wikis: there is no checkuser on beta cluster
  6. if the data should be made available on the labs replicas and/or dumps: no change of the existing rules

Progress:

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2022-06-15T09:12:58Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1119 (T310011)', diff saved to https://phabricator.wikimedia.org/P29771 and previous config saved to /var/cache/conftool/dbconfig/20220615-091257-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T09:45:33Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1119 (T310011)', diff saved to https://phabricator.wikimedia.org/P29773 and previous config saved to /var/cache/conftool/dbconfig/20220615-094532-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T10:30:48Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1119 (T310011)', diff saved to https://phabricator.wikimedia.org/P29778 and previous config saved to /var/cache/conftool/dbconfig/20220615-103048-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T10:31:02Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1106 (T310011)', diff saved to https://phabricator.wikimedia.org/P29779 and previous config saved to /var/cache/conftool/dbconfig/20220615-103101-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T11:04:35Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1106 (T310011)', diff saved to https://phabricator.wikimedia.org/P29787 and previous config saved to /var/cache/conftool/dbconfig/20220615-110435-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T11:49:50Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1106 (T310011)', diff saved to https://phabricator.wikimedia.org/P29801 and previous config saved to /var/cache/conftool/dbconfig/20220615-114950-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T12:16:21Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1135 (T310011)', diff saved to https://phabricator.wikimedia.org/P29807 and previous config saved to /var/cache/conftool/dbconfig/20220615-121620-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T12:48:11Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1135 (T310011)', diff saved to https://phabricator.wikimedia.org/P29813 and previous config saved to /var/cache/conftool/dbconfig/20220615-124810-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T13:33:26Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1135 (T310011)', diff saved to https://phabricator.wikimedia.org/P29826 and previous config saved to /var/cache/conftool/dbconfig/20220615-133326-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T13:33:34Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1134 (T310011)', diff saved to https://phabricator.wikimedia.org/P29827 and previous config saved to /var/cache/conftool/dbconfig/20220615-133334-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T14:05:05Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1134 (T310011)', diff saved to https://phabricator.wikimedia.org/P29834 and previous config saved to /var/cache/conftool/dbconfig/20220615-140505-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T14:50:21Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1134 (T310011)', diff saved to https://phabricator.wikimedia.org/P29839 and previous config saved to /var/cache/conftool/dbconfig/20220615-145020-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T14:50:38Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1128 (T310011)', diff saved to https://phabricator.wikimedia.org/P29840 and previous config saved to /var/cache/conftool/dbconfig/20220615-145028-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T15:23:16Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1128 (T310011)', diff saved to https://phabricator.wikimedia.org/P29841 and previous config saved to /var/cache/conftool/dbconfig/20220615-152315-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T16:08:31Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1128 (T310011)', diff saved to https://phabricator.wikimedia.org/P29844 and previous config saved to /var/cache/conftool/dbconfig/20220615-160830-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T16:08:40Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1118 (T310011)', diff saved to https://phabricator.wikimedia.org/P29845 and previous config saved to /var/cache/conftool/dbconfig/20220615-160838-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T16:42:23Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1118 (T310011)', diff saved to https://phabricator.wikimedia.org/P29847 and previous config saved to /var/cache/conftool/dbconfig/20220615-164222-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T17:27:38Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1118 (T310011)', diff saved to https://phabricator.wikimedia.org/P29851 and previous config saved to /var/cache/conftool/dbconfig/20220615-172738-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T18:21:40Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1169 (T310011)', diff saved to https://phabricator.wikimedia.org/P29853 and previous config saved to /var/cache/conftool/dbconfig/20220615-182140-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T19:01:40Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1169 (T310011)', diff saved to https://phabricator.wikimedia.org/P29854 and previous config saved to /var/cache/conftool/dbconfig/20220615-190140-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T19:46:55Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1169 (T310011)', diff saved to https://phabricator.wikimedia.org/P29857 and previous config saved to /var/cache/conftool/dbconfig/20220615-194655-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T19:47:04Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1132 (T310011)', diff saved to https://phabricator.wikimedia.org/P29858 and previous config saved to /var/cache/conftool/dbconfig/20220615-194703-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T20:47:18Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1132 (T310011)', diff saved to https://phabricator.wikimedia.org/P29859 and previous config saved to /var/cache/conftool/dbconfig/20220615-204717-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T21:32:33Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1132 (T310011)', diff saved to https://phabricator.wikimedia.org/P29862 and previous config saved to /var/cache/conftool/dbconfig/20220615-213233-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T21:32:41Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depooling db1184 (T310011)', diff saved to https://phabricator.wikimedia.org/P29863 and previous config saved to /var/cache/conftool/dbconfig/20220615-213241-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T22:03:30Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1184 (T310011)', diff saved to https://phabricator.wikimedia.org/P29864 and previous config saved to /var/cache/conftool/dbconfig/20220615-220329-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2022-06-15T22:48:45Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1184 (T310011)', diff saved to https://phabricator.wikimedia.org/P29867 and previous config saved to /var/cache/conftool/dbconfig/20220615-224845-marostegui.json

s1 was done, db1132 wasn't due to traffic. I will do it manually

s1 is done, pending the master.
So we need to decide what to do with s8 (T310011#7997611), I am fine dropping the default and so is @Umherirrender (T310011#7999579). That would leave wikidata with the same value as the rest of the sections.
I will work on that

s8 is done entirely including the master

Mentioned in SAL (#wikimedia-operations) [2022-08-16T06:23:50Z] <ladsgroup@cumin1001> START - Cookbook sre.hosts.downtime for 1 day, 0:00:00 on db1163.eqiad.wmnet with reason: Maint work on old s1 master (T312984 T312863 T310011 T309311 T60674 T298560 T298555 T310485 T301312)

Mentioned in SAL (#wikimedia-operations) [2022-08-16T06:24:04Z] <ladsgroup@cumin1001> END (PASS) - Cookbook sre.hosts.downtime (exit_code=0) for 1 day, 0:00:00 on db1163.eqiad.wmnet with reason: Maint work on old s1 master (T312984 T312863 T310011 T309311 T60674 T298560 T298555 T310485 T301312)

Ladsgroup updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2023-02-01T06:45:20Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Depooling db1158 (T310011)', diff saved to https://phabricator.wikimedia.org/P43520 and previous config saved to /var/cache/conftool/dbconfig/20230201-064311-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2023-02-01T06:48:29Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1158 (T310011)', diff saved to https://phabricator.wikimedia.org/P43521 and previous config saved to /var/cache/conftool/dbconfig/20230201-064828-ladsgroup.json

Mentioned in SAL (#wikimedia-operations) [2023-02-01T07:33:48Z] <ladsgroup@cumin1001> dbctl commit (dc=all): 'Repooling after maintenance db1158 (T310011)', diff saved to https://phabricator.wikimedia.org/P43524 and previous config saved to /var/cache/conftool/dbconfig/20230201-073348-ladsgroup.json